// SerComDlg.h : header file

#if !defined __SERCOMDLG_H__
#define __SERCOMDLG_H__

/////////////////////////////////////////////////////////////////////////////
// CSerComDlg dialog

#include "commtty.h"

#define   SECTION   ""
#define   KEY1      "Data1"
#define   KEY2      "Data2"
#define   KEY3      "Data3"
#define   KEY4      "Data4"
#define   KEY5      "Data5"

extern    CRegEdit    g_reg;

class CSerComDlg : public CDialog
{
// Construction
public:
	CSerComDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSerComDlg)
	enum { IDD = IDD_SERCOM };
	CString	m_gszPort;
	BOOL	m_bHexShow;
	CString	m_data1;
	CString	m_data2;
	CString	m_data3;
	CString	m_data4;
	CString	m_data5;
	//}}AFX_DATA
	CRichEditCtrl m_rerecv;	

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSerComDlg)
	public:
	virtual BOOL Create();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void FillComboBox(UINT nID, char **str, DWORD *nptab,
					  int tabLen, DWORD dwCurSetting);
	void UpdateTTYInfo();
	void SetComboSel(UINT nID, DWORD *nptab, int tabLen, DWORD value);
	void ShowCommState();
	BOOL SendData(CEdit* pEdit);
	void RegData(int       index);
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSerComDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBtnConnect();
	afx_msg void OnBtnDisconnect();
	afx_msg void OnBtnClearRecv();
	afx_msg void OnCheckHex();
	afx_msg void OnBtnClose();
	afx_msg void OnChangeEditData1();
	afx_msg void OnBtnSend1();
	afx_msg void OnBtnClr1();
	afx_msg void OnChangeEditData2();
	afx_msg void OnChangeEditData3();
	afx_msg void OnChangeEditData4();
	afx_msg void OnChangeEditData5();
	afx_msg void OnBtnClr2();
	afx_msg void OnBtnClr3();
	afx_msg void OnBtnClr4();
	afx_msg void OnBtnClr5();
	afx_msg void OnBtnSend2();
	afx_msg void OnBtnSend3();
	afx_msg void OnBtnSend4();
	afx_msg void OnBtnSend5();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined __SERCOMDLG_H__
