// Commtty.h

#if !defined __COMMTTY_H__
#define __COMMTTY_H__

// 

// ˿
#define MAXPORTS        4
// terminal size
#define MAXROWS         50
#define MAXCOLS         80
// cursor states
#define CS_HIDE         0x00
#define CS_SHOW         0x01
// ascii붨
#define ASCII_BEL       0x07
#define ASCII_BS        0x08
#define ASCII_LF        0x0A
#define ASCII_CR        0x0D
#define ASCII_XON       0x11
#define ASCII_XOFF      0x13

//ṹTTYINFO
typedef struct TTYInfoStruct
{
    HANDLE  hCommPort, hReader;
    DWORD   dwEventFlags;
    BOOL    fConnected, fDisplayErrors, fDisplayTimeouts;
    BYTE    bPort, bByteSize, bParity, bStopBits;
    DWORD   dwBaudRate;
    LOGFONT lfTTYFont ;
    COMMTIMEOUTS timeoutsorig;
    COMMTIMEOUTS timeoutsnew;
}TTYINFO, *LPTTYINFO;

// ú궨
#define COMDEV(x)         (x.hCommPort)
#define CONNECTED(x)      (x.fConnected)
#define TRANSFERRING(x)   (x.fTransferring)
#define REPEATING(x)      (x.fRepeating)

#define PORT(x)           (x.bPort)
#define BYTESIZE(x)       (x.bByteSize)
#define PARITY(x)         (x.bParity)
#define STOPBITS(x)       (x.bStopBits)
#define BAUDRATE(x)       (x.dwBaudRate)

#define LFTTYFONT(x)      (x.lfTTYFont)

#define DISPLAYERRORS(x)  (x.fDisplayErrors)
#define SHOWTIMEOUTS(x)   (x.fDisplayTimeouts)

#define TIMEOUTSORIG(x)   (x.timeoutsorig)
#define TIMEOUTSNEW(x)    (x.timeoutsnew)
#define READERTHREAD(x)   (x.hReader)
#define EVENTFLAGS(x)     (x.dwEventFlags)

// ȫֶ
#define MAX_STATUS_BUFFER       20000
#define MAX_WRITE_BUFFER        1024
#define MAX_READ_BUFFER         2048
#define AMOUNT_TO_READ			512
#define READ_TIMEOUT            500
#define READ_CHECK_TIMEOUT      500
#define WRITE_CHECK_TIMEOUT     500

// ȫֱ
extern TTYINFO	TTYInfo;
extern CString	gszPort;
extern HANDLE ghThreadExitEvent;
extern BOOL	gbHexShow;

// 
void ErrorReporter(char* szMessage);
void ErrorHandler(char* szMessage);
void ErrorInComm(char* szMessage);

// ͨѶ
BOOL InitTTYInfo(void);
BOOL UpdateConnection(void);
void StartThreads(void);
DWORD WaitForThreads(DWORD);
HANDLE SetupCommPort(void);
BOOL BreakDownCommPort(void);
void WriterGeneric(const char* lpBuf, DWORD dwToWrite);

// ̹̺߳
DWORD WINAPI ReaderProc(LPVOID);

#endif // !defined __COMMTTY_H__
