// SerCom.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "SerCom.h"
#include "ScomDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSerComApp

BEGIN_MESSAGE_MAP(CSerComApp, CWinApp)
	//{{AFX_MSG_MAP(CSerComApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSerComApp construction

CSerComApp::CSerComApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CSerComApp object

CSerComApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CSerComApp initialization

BOOL CSerComApp::InitInstance()
{
	AfxEnableControlContainer();

    ghThreadExitEvent = CreateEvent(NULL, TRUE, FALSE, NULL);
    if (ghThreadExitEvent == NULL)
	{
        ErrorReporter("CreateEvent (Thread exit event)");
		return FALSE;
	}

	SetRegistryKey(_T("TBRDD"));

	CSerComDlg* pDlg = new CSerComDlg;
	m_pMainWnd = pDlg;
	if (!pDlg->Create())
		return FALSE;
	
	return TRUE;
}

int CSerComApp::ExitInstance() 
{
	CloseHandle(ghThreadExitEvent);
	
	return CWinApp::ExitInstance();
}
