// SerComDlg.h : header file

#if !defined __SERCOMDLG_H__
#define __SERCOMDLG_H__

/////////////////////////////////////////////////////////////////////////////
// CSerComDlg dialog

#include "commtty.h"

class CSerComDlg : public CDialog
{
// Construction
public:
	CSerComDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSerComDlg)
	enum { IDD = IDD_SERCOM };
	CEdit	m_ledit;
	CString	m_gszPort;
	BOOL	m_bHexShow;
	//}}AFX_DATA
	CRichEditCtrl m_resend;
	CRichEditCtrl m_rerecv;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSerComDlg)
	public:
	virtual BOOL Create();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void FillComboBox(UINT nID, char **str, DWORD *nptab,
					  int tabLen, DWORD dwCurSetting);
	void UpdateTTYInfo();
	void SetComboSel(UINT nID, DWORD *nptab, int tabLen, DWORD value);
	void ShowCommState();
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSerComDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBtnConnect();
	afx_msg void OnBtnDisconnect();
	afx_msg void OnBtnInsert();
	afx_msg void OnBtnSend();
	afx_msg void OnBtnClearSend();
	afx_msg void OnBtnSendLine();
	afx_msg void OnBtnClearLine();
	afx_msg void OnBtnTimeraa();
	afx_msg void OnBtnStoptimer();
	afx_msg void OnBtnClearRecv();
	afx_msg void OnCheckHex();
	afx_msg void OnBtnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined __SERCOMDLG_H__
